Version: Current – v2.x

On this page

This endpoint creates a new status entry for a given record. The newly created status entry becomes the record's current status entry.

### HTTP Request

`POST https://api.parallelmarkets.com/v2/partner-records/{id}/statuses`

- `{id}` \- The individual or business ID in your case management account. If an [external_id](https://developer.parallelmarkets.com/docs/server/case-management-api/records/create#using-an-external-identifier) has been set, the `external_id` value can be used instead.

### Request Parameters

| Parameter | Description |
| --- | --- |
| `status` _(string)_ | **Required** The status to set for the record. Can be one of:<br>- `open`<br>- `pending`<br>- `approved`<br>- `declined` |
| `notes` _(string)_ | _Optional._ Notes to attach to the new status. |

#### Sample payload

```json
{

"status": "approved",

"notes": "This is a test note."

}
```

### Response Parameters

Returns a [Record Status](https://developer.parallelmarkets.com/docs/server/data-structures#record-status) after successful status creation.

### Example Response

```json
{

"data": {

"notes": "This is a test note.",

"set_at": "2023-04-20T18:40:00Z",

"set_by": null,

"source": "api",

"status": "approved"

}

}
```
